/*
 *  Copyright (C) 2004-2024 Edward F. Valeev
 *
 *  This file is part of Libint library.
 *
 *  Libint library is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Libint library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with Libint library.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include <libint2.h>

#ifdef __cplusplus
LIBINT_PRAGMA_CLANG(diagnostic push)
LIBINT_PRAGMA_CLANG(diagnostic ignored "-Wunused-variable")
LIBINT_PRAGMA_GCC(diagnostic push)
LIBINT_PRAGMA_GCC(diagnostic ignored "-Wunused-variable")
extern "C" {
#endif
void HRRPart0ket0bra0f001d001(const Libint_t* inteval, LIBINT2_REALTYPE* target, const LIBINT2_REALTYPE* src0, const LIBINT2_REALTYPE* src1, const LIBINT2_REALTYPE* src2, const LIBINT2_REALTYPE* src3, int lowdim) {

LIBINT2_REALTYPE*const  stack = target;
{
const int hsi = 0;
#ifdef __INTEL_COMPILER
#pragma ivdep
#endif
for(int lsi = 0; lsi<lowdim; lsi++) {
{
const int vi = 0;
LIBINT2_REALTYPE fp141;
fp141 = 1.0000000000000000e+00 * src3[((hsi*30+9)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp143;
fp143 = 1.0000000000000000e+00 * src2[((hsi*30+9)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp145;
fp145 = inteval->BA_z[vi] * src1[((hsi*30+9)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp144;
fp144 = src0[((hsi*45+14)*lowdim+lsi)*1] + fp145;
LIBINT2_REALTYPE fp142;
fp142 = fp144 + fp143;
LIBINT2_REALTYPE fp140;
fp140 = fp142 - fp141;
target[((hsi*60+29)*lowdim+lsi)*1] = fp140;
LIBINT2_REALTYPE fp147;
fp147 = 1.0000000000000000e+00 * src3[((hsi*30+8)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp149;
fp149 = 1.0000000000000000e+00 * src2[((hsi*30+8)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp151;
fp151 = inteval->BA_z[vi] * src1[((hsi*30+8)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp150;
fp150 = src0[((hsi*45+13)*lowdim+lsi)*1] + fp151;
LIBINT2_REALTYPE fp148;
fp148 = fp150 + fp149;
LIBINT2_REALTYPE fp146;
fp146 = fp148 - fp147;
target[((hsi*60+28)*lowdim+lsi)*1] = fp146;
LIBINT2_REALTYPE fp153;
fp153 = 1.0000000000000000e+00 * src3[((hsi*30+7)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp155;
fp155 = 1.0000000000000000e+00 * src2[((hsi*30+7)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp157;
fp157 = inteval->BA_z[vi] * src1[((hsi*30+7)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp156;
fp156 = src0[((hsi*45+12)*lowdim+lsi)*1] + fp157;
LIBINT2_REALTYPE fp154;
fp154 = fp156 + fp155;
LIBINT2_REALTYPE fp152;
fp152 = fp154 - fp153;
target[((hsi*60+27)*lowdim+lsi)*1] = fp152;
LIBINT2_REALTYPE fp159;
fp159 = 1.0000000000000000e+00 * src3[((hsi*30+6)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp161;
fp161 = 1.0000000000000000e+00 * src2[((hsi*30+6)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp163;
fp163 = inteval->BA_z[vi] * src1[((hsi*30+6)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp162;
fp162 = src0[((hsi*45+11)*lowdim+lsi)*1] + fp163;
LIBINT2_REALTYPE fp160;
fp160 = fp162 + fp161;
LIBINT2_REALTYPE fp158;
fp158 = fp160 - fp159;
target[((hsi*60+26)*lowdim+lsi)*1] = fp158;
LIBINT2_REALTYPE fp165;
fp165 = 1.0000000000000000e+00 * src3[((hsi*30+5)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp167;
fp167 = 1.0000000000000000e+00 * src2[((hsi*30+5)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp169;
fp169 = inteval->BA_z[vi] * src1[((hsi*30+5)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp168;
fp168 = src0[((hsi*45+9)*lowdim+lsi)*1] + fp169;
LIBINT2_REALTYPE fp166;
fp166 = fp168 + fp167;
LIBINT2_REALTYPE fp164;
fp164 = fp166 - fp165;
target[((hsi*60+25)*lowdim+lsi)*1] = fp164;
LIBINT2_REALTYPE fp171;
fp171 = 1.0000000000000000e+00 * src3[((hsi*30+4)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp173;
fp173 = 1.0000000000000000e+00 * src2[((hsi*30+4)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp175;
fp175 = inteval->BA_z[vi] * src1[((hsi*30+4)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp174;
fp174 = src0[((hsi*45+8)*lowdim+lsi)*1] + fp175;
LIBINT2_REALTYPE fp172;
fp172 = fp174 + fp173;
LIBINT2_REALTYPE fp170;
fp170 = fp172 - fp171;
target[((hsi*60+24)*lowdim+lsi)*1] = fp170;
LIBINT2_REALTYPE fp177;
fp177 = 1.0000000000000000e+00 * src3[((hsi*30+3)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp179;
fp179 = 1.0000000000000000e+00 * src2[((hsi*30+3)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp181;
fp181 = inteval->BA_z[vi] * src1[((hsi*30+3)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp180;
fp180 = src0[((hsi*45+7)*lowdim+lsi)*1] + fp181;
LIBINT2_REALTYPE fp178;
fp178 = fp180 + fp179;
LIBINT2_REALTYPE fp176;
fp176 = fp178 - fp177;
target[((hsi*60+23)*lowdim+lsi)*1] = fp176;
LIBINT2_REALTYPE fp183;
fp183 = 1.0000000000000000e+00 * src3[((hsi*30+2)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp185;
fp185 = 1.0000000000000000e+00 * src2[((hsi*30+2)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp187;
fp187 = inteval->BA_z[vi] * src1[((hsi*30+2)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp186;
fp186 = src0[((hsi*45+5)*lowdim+lsi)*1] + fp187;
LIBINT2_REALTYPE fp184;
fp184 = fp186 + fp185;
LIBINT2_REALTYPE fp182;
fp182 = fp184 - fp183;
target[((hsi*60+22)*lowdim+lsi)*1] = fp182;
LIBINT2_REALTYPE fp189;
fp189 = 1.0000000000000000e+00 * src3[((hsi*30+1)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp191;
fp191 = 1.0000000000000000e+00 * src2[((hsi*30+1)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp193;
fp193 = inteval->BA_z[vi] * src1[((hsi*30+1)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp192;
fp192 = src0[((hsi*45+4)*lowdim+lsi)*1] + fp193;
LIBINT2_REALTYPE fp190;
fp190 = fp192 + fp191;
LIBINT2_REALTYPE fp188;
fp188 = fp190 - fp189;
target[((hsi*60+21)*lowdim+lsi)*1] = fp188;
LIBINT2_REALTYPE fp195;
fp195 = 1.0000000000000000e+00 * src3[((hsi*30+0)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp197;
fp197 = 1.0000000000000000e+00 * src2[((hsi*30+0)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp199;
fp199 = inteval->BA_z[vi] * src1[((hsi*30+0)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp198;
fp198 = src0[((hsi*45+2)*lowdim+lsi)*1] + fp199;
LIBINT2_REALTYPE fp196;
fp196 = fp198 + fp197;
LIBINT2_REALTYPE fp194;
fp194 = fp196 - fp195;
target[((hsi*60+20)*lowdim+lsi)*1] = fp194;
LIBINT2_REALTYPE fp201;
fp201 = inteval->BA_y[vi] * src1[((hsi*30+9)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp200;
fp200 = src0[((hsi*45+13)*lowdim+lsi)*1] + fp201;
target[((hsi*60+19)*lowdim+lsi)*1] = fp200;
LIBINT2_REALTYPE fp203;
fp203 = inteval->BA_y[vi] * src1[((hsi*30+8)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp202;
fp202 = src0[((hsi*45+12)*lowdim+lsi)*1] + fp203;
target[((hsi*60+18)*lowdim+lsi)*1] = fp202;
LIBINT2_REALTYPE fp205;
fp205 = inteval->BA_y[vi] * src1[((hsi*30+7)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp204;
fp204 = src0[((hsi*45+11)*lowdim+lsi)*1] + fp205;
target[((hsi*60+17)*lowdim+lsi)*1] = fp204;
LIBINT2_REALTYPE fp207;
fp207 = inteval->BA_y[vi] * src1[((hsi*30+6)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp206;
fp206 = src0[((hsi*45+10)*lowdim+lsi)*1] + fp207;
target[((hsi*60+16)*lowdim+lsi)*1] = fp206;
LIBINT2_REALTYPE fp239;
fp239 = inteval->BA_x[vi] * src1[((hsi*30+0)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp238;
fp238 = src0[((hsi*45+0)*lowdim+lsi)*1] + fp239;
target[((hsi*60+0)*lowdim+lsi)*1] = fp238;
LIBINT2_REALTYPE fp211;
fp211 = inteval->BA_y[vi] * src1[((hsi*30+4)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp210;
fp210 = src0[((hsi*45+7)*lowdim+lsi)*1] + fp211;
target[((hsi*60+14)*lowdim+lsi)*1] = fp210;
LIBINT2_REALTYPE fp213;
fp213 = inteval->BA_y[vi] * src1[((hsi*30+3)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp212;
fp212 = src0[((hsi*45+6)*lowdim+lsi)*1] + fp213;
target[((hsi*60+13)*lowdim+lsi)*1] = fp212;
LIBINT2_REALTYPE fp215;
fp215 = inteval->BA_y[vi] * src1[((hsi*30+2)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp214;
fp214 = src0[((hsi*45+4)*lowdim+lsi)*1] + fp215;
target[((hsi*60+12)*lowdim+lsi)*1] = fp214;
LIBINT2_REALTYPE fp217;
fp217 = inteval->BA_y[vi] * src1[((hsi*30+1)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp216;
fp216 = src0[((hsi*45+3)*lowdim+lsi)*1] + fp217;
target[((hsi*60+11)*lowdim+lsi)*1] = fp216;
LIBINT2_REALTYPE fp219;
fp219 = inteval->BA_y[vi] * src1[((hsi*30+0)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp218;
fp218 = src0[((hsi*45+1)*lowdim+lsi)*1] + fp219;
target[((hsi*60+10)*lowdim+lsi)*1] = fp218;
LIBINT2_REALTYPE fp221;
fp221 = inteval->BA_x[vi] * src1[((hsi*30+9)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp220;
fp220 = src0[((hsi*45+9)*lowdim+lsi)*1] + fp221;
target[((hsi*60+9)*lowdim+lsi)*1] = fp220;
LIBINT2_REALTYPE fp223;
fp223 = inteval->BA_x[vi] * src1[((hsi*30+8)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp222;
fp222 = src0[((hsi*45+8)*lowdim+lsi)*1] + fp223;
target[((hsi*60+8)*lowdim+lsi)*1] = fp222;
LIBINT2_REALTYPE fp225;
fp225 = inteval->BA_x[vi] * src1[((hsi*30+7)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp224;
fp224 = src0[((hsi*45+7)*lowdim+lsi)*1] + fp225;
target[((hsi*60+7)*lowdim+lsi)*1] = fp224;
LIBINT2_REALTYPE fp227;
fp227 = inteval->BA_x[vi] * src1[((hsi*30+6)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp226;
fp226 = src0[((hsi*45+6)*lowdim+lsi)*1] + fp227;
target[((hsi*60+6)*lowdim+lsi)*1] = fp226;
LIBINT2_REALTYPE fp229;
fp229 = inteval->BA_x[vi] * src1[((hsi*30+5)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp228;
fp228 = src0[((hsi*45+5)*lowdim+lsi)*1] + fp229;
target[((hsi*60+5)*lowdim+lsi)*1] = fp228;
LIBINT2_REALTYPE fp231;
fp231 = inteval->BA_x[vi] * src1[((hsi*30+4)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp230;
fp230 = src0[((hsi*45+4)*lowdim+lsi)*1] + fp231;
target[((hsi*60+4)*lowdim+lsi)*1] = fp230;
LIBINT2_REALTYPE fp233;
fp233 = inteval->BA_x[vi] * src1[((hsi*30+3)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp232;
fp232 = src0[((hsi*45+3)*lowdim+lsi)*1] + fp233;
target[((hsi*60+3)*lowdim+lsi)*1] = fp232;
LIBINT2_REALTYPE fp235;
fp235 = inteval->BA_x[vi] * src1[((hsi*30+2)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp234;
fp234 = src0[((hsi*45+2)*lowdim+lsi)*1] + fp235;
target[((hsi*60+2)*lowdim+lsi)*1] = fp234;
LIBINT2_REALTYPE fp237;
fp237 = inteval->BA_x[vi] * src1[((hsi*30+1)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp236;
fp236 = src0[((hsi*45+1)*lowdim+lsi)*1] + fp237;
target[((hsi*60+1)*lowdim+lsi)*1] = fp236;
LIBINT2_REALTYPE fp209;
fp209 = inteval->BA_y[vi] * src1[((hsi*30+5)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp208;
fp208 = src0[((hsi*45+8)*lowdim+lsi)*1] + fp209;
target[((hsi*60+15)*lowdim+lsi)*1] = fp208;
LIBINT2_REALTYPE fp1;
fp1 = 1.0000000000000000e+00 * src3[((hsi*30+29)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp3;
fp3 = 1.0000000000000000e+00 * src2[((hsi*30+29)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp5;
fp5 = inteval->BA_z[vi] * src1[((hsi*30+29)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp4;
fp4 = src0[((hsi*45+44)*lowdim+lsi)*1] + fp5;
LIBINT2_REALTYPE fp2;
fp2 = fp4 + fp3;
LIBINT2_REALTYPE fp0;
fp0 = fp2 - fp1;
target[((hsi*60+59)*lowdim+lsi)*1] = fp0;
LIBINT2_REALTYPE fp7;
fp7 = 1.0000000000000000e+00 * src3[((hsi*30+28)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp9;
fp9 = 1.0000000000000000e+00 * src2[((hsi*30+28)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp11;
fp11 = inteval->BA_z[vi] * src1[((hsi*30+28)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp10;
fp10 = src0[((hsi*45+43)*lowdim+lsi)*1] + fp11;
LIBINT2_REALTYPE fp8;
fp8 = fp10 + fp9;
LIBINT2_REALTYPE fp6;
fp6 = fp8 - fp7;
target[((hsi*60+58)*lowdim+lsi)*1] = fp6;
LIBINT2_REALTYPE fp13;
fp13 = 1.0000000000000000e+00 * src3[((hsi*30+27)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp15;
fp15 = 1.0000000000000000e+00 * src2[((hsi*30+27)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp17;
fp17 = inteval->BA_z[vi] * src1[((hsi*30+27)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp16;
fp16 = src0[((hsi*45+42)*lowdim+lsi)*1] + fp17;
LIBINT2_REALTYPE fp14;
fp14 = fp16 + fp15;
LIBINT2_REALTYPE fp12;
fp12 = fp14 - fp13;
target[((hsi*60+57)*lowdim+lsi)*1] = fp12;
LIBINT2_REALTYPE fp19;
fp19 = 1.0000000000000000e+00 * src3[((hsi*30+26)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp21;
fp21 = 1.0000000000000000e+00 * src2[((hsi*30+26)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp23;
fp23 = inteval->BA_z[vi] * src1[((hsi*30+26)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp22;
fp22 = src0[((hsi*45+41)*lowdim+lsi)*1] + fp23;
LIBINT2_REALTYPE fp20;
fp20 = fp22 + fp21;
LIBINT2_REALTYPE fp18;
fp18 = fp20 - fp19;
target[((hsi*60+56)*lowdim+lsi)*1] = fp18;
LIBINT2_REALTYPE fp25;
fp25 = 1.0000000000000000e+00 * src3[((hsi*30+25)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp27;
fp27 = 1.0000000000000000e+00 * src2[((hsi*30+25)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp29;
fp29 = inteval->BA_z[vi] * src1[((hsi*30+25)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp28;
fp28 = src0[((hsi*45+39)*lowdim+lsi)*1] + fp29;
LIBINT2_REALTYPE fp26;
fp26 = fp28 + fp27;
LIBINT2_REALTYPE fp24;
fp24 = fp26 - fp25;
target[((hsi*60+55)*lowdim+lsi)*1] = fp24;
LIBINT2_REALTYPE fp31;
fp31 = 1.0000000000000000e+00 * src3[((hsi*30+24)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp33;
fp33 = 1.0000000000000000e+00 * src2[((hsi*30+24)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp35;
fp35 = inteval->BA_z[vi] * src1[((hsi*30+24)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp34;
fp34 = src0[((hsi*45+38)*lowdim+lsi)*1] + fp35;
LIBINT2_REALTYPE fp32;
fp32 = fp34 + fp33;
LIBINT2_REALTYPE fp30;
fp30 = fp32 - fp31;
target[((hsi*60+54)*lowdim+lsi)*1] = fp30;
LIBINT2_REALTYPE fp37;
fp37 = 1.0000000000000000e+00 * src3[((hsi*30+23)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp39;
fp39 = 1.0000000000000000e+00 * src2[((hsi*30+23)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp41;
fp41 = inteval->BA_z[vi] * src1[((hsi*30+23)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp40;
fp40 = src0[((hsi*45+37)*lowdim+lsi)*1] + fp41;
LIBINT2_REALTYPE fp38;
fp38 = fp40 + fp39;
LIBINT2_REALTYPE fp36;
fp36 = fp38 - fp37;
target[((hsi*60+53)*lowdim+lsi)*1] = fp36;
LIBINT2_REALTYPE fp43;
fp43 = 1.0000000000000000e+00 * src3[((hsi*30+22)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp45;
fp45 = 1.0000000000000000e+00 * src2[((hsi*30+22)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp47;
fp47 = inteval->BA_z[vi] * src1[((hsi*30+22)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp46;
fp46 = src0[((hsi*45+35)*lowdim+lsi)*1] + fp47;
LIBINT2_REALTYPE fp44;
fp44 = fp46 + fp45;
LIBINT2_REALTYPE fp42;
fp42 = fp44 - fp43;
target[((hsi*60+52)*lowdim+lsi)*1] = fp42;
LIBINT2_REALTYPE fp49;
fp49 = 1.0000000000000000e+00 * src3[((hsi*30+21)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp51;
fp51 = 1.0000000000000000e+00 * src2[((hsi*30+21)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp53;
fp53 = inteval->BA_z[vi] * src1[((hsi*30+21)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp52;
fp52 = src0[((hsi*45+34)*lowdim+lsi)*1] + fp53;
LIBINT2_REALTYPE fp50;
fp50 = fp52 + fp51;
LIBINT2_REALTYPE fp48;
fp48 = fp50 - fp49;
target[((hsi*60+51)*lowdim+lsi)*1] = fp48;
LIBINT2_REALTYPE fp55;
fp55 = 1.0000000000000000e+00 * src3[((hsi*30+20)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp57;
fp57 = 1.0000000000000000e+00 * src2[((hsi*30+20)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp59;
fp59 = inteval->BA_z[vi] * src1[((hsi*30+20)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp58;
fp58 = src0[((hsi*45+32)*lowdim+lsi)*1] + fp59;
LIBINT2_REALTYPE fp56;
fp56 = fp58 + fp57;
LIBINT2_REALTYPE fp54;
fp54 = fp56 - fp55;
target[((hsi*60+50)*lowdim+lsi)*1] = fp54;
LIBINT2_REALTYPE fp61;
fp61 = 1.0000000000000000e+00 * src3[((hsi*30+19)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp63;
fp63 = 1.0000000000000000e+00 * src2[((hsi*30+19)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp65;
fp65 = inteval->BA_z[vi] * src1[((hsi*30+19)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp64;
fp64 = src0[((hsi*45+29)*lowdim+lsi)*1] + fp65;
LIBINT2_REALTYPE fp62;
fp62 = fp64 + fp63;
LIBINT2_REALTYPE fp60;
fp60 = fp62 - fp61;
target[((hsi*60+49)*lowdim+lsi)*1] = fp60;
LIBINT2_REALTYPE fp67;
fp67 = 1.0000000000000000e+00 * src3[((hsi*30+18)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp69;
fp69 = 1.0000000000000000e+00 * src2[((hsi*30+18)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp71;
fp71 = inteval->BA_z[vi] * src1[((hsi*30+18)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp70;
fp70 = src0[((hsi*45+28)*lowdim+lsi)*1] + fp71;
LIBINT2_REALTYPE fp68;
fp68 = fp70 + fp69;
LIBINT2_REALTYPE fp66;
fp66 = fp68 - fp67;
target[((hsi*60+48)*lowdim+lsi)*1] = fp66;
LIBINT2_REALTYPE fp73;
fp73 = 1.0000000000000000e+00 * src3[((hsi*30+17)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp75;
fp75 = 1.0000000000000000e+00 * src2[((hsi*30+17)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp77;
fp77 = inteval->BA_z[vi] * src1[((hsi*30+17)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp76;
fp76 = src0[((hsi*45+27)*lowdim+lsi)*1] + fp77;
LIBINT2_REALTYPE fp74;
fp74 = fp76 + fp75;
LIBINT2_REALTYPE fp72;
fp72 = fp74 - fp73;
target[((hsi*60+47)*lowdim+lsi)*1] = fp72;
LIBINT2_REALTYPE fp79;
fp79 = 1.0000000000000000e+00 * src3[((hsi*30+16)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp81;
fp81 = 1.0000000000000000e+00 * src2[((hsi*30+16)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp83;
fp83 = inteval->BA_z[vi] * src1[((hsi*30+16)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp82;
fp82 = src0[((hsi*45+26)*lowdim+lsi)*1] + fp83;
LIBINT2_REALTYPE fp80;
fp80 = fp82 + fp81;
LIBINT2_REALTYPE fp78;
fp78 = fp80 - fp79;
target[((hsi*60+46)*lowdim+lsi)*1] = fp78;
LIBINT2_REALTYPE fp139;
fp139 = inteval->BA_y[vi] * src1[((hsi*30+10)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp138;
fp138 = src0[((hsi*45+16)*lowdim+lsi)*1] + fp139;
target[((hsi*60+30)*lowdim+lsi)*1] = fp138;
LIBINT2_REALTYPE fp91;
fp91 = 1.0000000000000000e+00 * src3[((hsi*30+14)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp93;
fp93 = 1.0000000000000000e+00 * src2[((hsi*30+14)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp95;
fp95 = inteval->BA_z[vi] * src1[((hsi*30+14)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp94;
fp94 = src0[((hsi*45+23)*lowdim+lsi)*1] + fp95;
LIBINT2_REALTYPE fp92;
fp92 = fp94 + fp93;
LIBINT2_REALTYPE fp90;
fp90 = fp92 - fp91;
target[((hsi*60+44)*lowdim+lsi)*1] = fp90;
LIBINT2_REALTYPE fp97;
fp97 = 1.0000000000000000e+00 * src3[((hsi*30+13)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp99;
fp99 = 1.0000000000000000e+00 * src2[((hsi*30+13)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp101;
fp101 = inteval->BA_z[vi] * src1[((hsi*30+13)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp100;
fp100 = src0[((hsi*45+22)*lowdim+lsi)*1] + fp101;
LIBINT2_REALTYPE fp98;
fp98 = fp100 + fp99;
LIBINT2_REALTYPE fp96;
fp96 = fp98 - fp97;
target[((hsi*60+43)*lowdim+lsi)*1] = fp96;
LIBINT2_REALTYPE fp103;
fp103 = 1.0000000000000000e+00 * src3[((hsi*30+12)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp105;
fp105 = 1.0000000000000000e+00 * src2[((hsi*30+12)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp107;
fp107 = inteval->BA_z[vi] * src1[((hsi*30+12)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp106;
fp106 = src0[((hsi*45+20)*lowdim+lsi)*1] + fp107;
LIBINT2_REALTYPE fp104;
fp104 = fp106 + fp105;
LIBINT2_REALTYPE fp102;
fp102 = fp104 - fp103;
target[((hsi*60+42)*lowdim+lsi)*1] = fp102;
LIBINT2_REALTYPE fp109;
fp109 = 1.0000000000000000e+00 * src3[((hsi*30+11)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp111;
fp111 = 1.0000000000000000e+00 * src2[((hsi*30+11)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp113;
fp113 = inteval->BA_z[vi] * src1[((hsi*30+11)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp112;
fp112 = src0[((hsi*45+19)*lowdim+lsi)*1] + fp113;
LIBINT2_REALTYPE fp110;
fp110 = fp112 + fp111;
LIBINT2_REALTYPE fp108;
fp108 = fp110 - fp109;
target[((hsi*60+41)*lowdim+lsi)*1] = fp108;
LIBINT2_REALTYPE fp115;
fp115 = 1.0000000000000000e+00 * src3[((hsi*30+10)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp117;
fp117 = 1.0000000000000000e+00 * src2[((hsi*30+10)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp119;
fp119 = inteval->BA_z[vi] * src1[((hsi*30+10)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp118;
fp118 = src0[((hsi*45+17)*lowdim+lsi)*1] + fp119;
LIBINT2_REALTYPE fp116;
fp116 = fp118 + fp117;
LIBINT2_REALTYPE fp114;
fp114 = fp116 - fp115;
target[((hsi*60+40)*lowdim+lsi)*1] = fp114;
LIBINT2_REALTYPE fp121;
fp121 = inteval->BA_y[vi] * src1[((hsi*30+19)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp120;
fp120 = src0[((hsi*45+28)*lowdim+lsi)*1] + fp121;
target[((hsi*60+39)*lowdim+lsi)*1] = fp120;
LIBINT2_REALTYPE fp123;
fp123 = inteval->BA_y[vi] * src1[((hsi*30+18)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp122;
fp122 = src0[((hsi*45+27)*lowdim+lsi)*1] + fp123;
target[((hsi*60+38)*lowdim+lsi)*1] = fp122;
LIBINT2_REALTYPE fp125;
fp125 = inteval->BA_y[vi] * src1[((hsi*30+17)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp124;
fp124 = src0[((hsi*45+26)*lowdim+lsi)*1] + fp125;
target[((hsi*60+37)*lowdim+lsi)*1] = fp124;
LIBINT2_REALTYPE fp127;
fp127 = inteval->BA_y[vi] * src1[((hsi*30+16)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp126;
fp126 = src0[((hsi*45+25)*lowdim+lsi)*1] + fp127;
target[((hsi*60+36)*lowdim+lsi)*1] = fp126;
LIBINT2_REALTYPE fp129;
fp129 = inteval->BA_y[vi] * src1[((hsi*30+15)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp128;
fp128 = src0[((hsi*45+23)*lowdim+lsi)*1] + fp129;
target[((hsi*60+35)*lowdim+lsi)*1] = fp128;
LIBINT2_REALTYPE fp131;
fp131 = inteval->BA_y[vi] * src1[((hsi*30+14)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp130;
fp130 = src0[((hsi*45+22)*lowdim+lsi)*1] + fp131;
target[((hsi*60+34)*lowdim+lsi)*1] = fp130;
LIBINT2_REALTYPE fp133;
fp133 = inteval->BA_y[vi] * src1[((hsi*30+13)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp132;
fp132 = src0[((hsi*45+21)*lowdim+lsi)*1] + fp133;
target[((hsi*60+33)*lowdim+lsi)*1] = fp132;
LIBINT2_REALTYPE fp135;
fp135 = inteval->BA_y[vi] * src1[((hsi*30+12)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp134;
fp134 = src0[((hsi*45+19)*lowdim+lsi)*1] + fp135;
target[((hsi*60+32)*lowdim+lsi)*1] = fp134;
LIBINT2_REALTYPE fp137;
fp137 = inteval->BA_y[vi] * src1[((hsi*30+11)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp136;
fp136 = src0[((hsi*45+18)*lowdim+lsi)*1] + fp137;
target[((hsi*60+31)*lowdim+lsi)*1] = fp136;
LIBINT2_REALTYPE fp85;
fp85 = 1.0000000000000000e+00 * src3[((hsi*30+15)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp87;
fp87 = 1.0000000000000000e+00 * src2[((hsi*30+15)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp89;
fp89 = inteval->BA_z[vi] * src1[((hsi*30+15)*lowdim+lsi)*1];
LIBINT2_REALTYPE fp88;
fp88 = src0[((hsi*45+24)*lowdim+lsi)*1] + fp89;
LIBINT2_REALTYPE fp86;
fp86 = fp88 + fp87;
LIBINT2_REALTYPE fp84;
fp84 = fp86 - fp85;
target[((hsi*60+45)*lowdim+lsi)*1] = fp84;
}
}
}
const int hsi = 0;
const int lsi = 0;
const int vi = 0;
/** Number of flops = 240 */
}

#ifdef __cplusplus
};
LIBINT_PRAGMA_CLANG(diagnostic pop)
LIBINT_PRAGMA_GCC(diagnostic pop)
#endif
